• 카테고리

    질문 & 답변
  • 세부 분야

    백엔드

  • 해결 여부

    미해결

궁금한게 또 있습니다!!

24.06.21 15:05 작성 조회수 52

1

강의 04:40초 부분인데요

public void saveUser(UserCreateRequest request) {
   User u = userRepository.save(new User(request.getName(), request.getAge()));
   throw new IllegalArgumentException();
}

이부분에서 예외를 주고 서버를 띄어서 확인을 했는데

저렇게 "서버 내부 오류입니다" 라고 뜨는 것은 예외를 던져주면 자동으로 저렇게 뜨게 설정되어있는 건가요?

아니면 이렇게 예외를 던지면 ui에서 이렇게 띄어줘 라고 설정을 해주신건가요?

답변 1

답변을 작성해보세요.

0

안녕하세요 병곤님! 🙂 좋은 질문 감사드립니다. 👍

 

결론부터 말씀드리면, 예외를 던지면 ui에서 이렇게 띄어줘 라고 설정을 한겁니다!

보다 정확히는 설정 보다는 JavaScript 라는 언어를 이용해 코딩을 했는데요! 대략적인 느낌은 다음과 같습니다.

 

try {
  API 요청 보내기
} catch (Exception e) {
  // 에러 결과물의 상태 코드 (HTTP 응답 코드)에 따라 if else 문을 사용할 수도 있다!
  if (e.status == 500) {
    alert("서버 내부 오류입니다.")
  }
}

 

또 궁금한 점이 생기시면 언제든 편하게 질문 주세요.

감사합니다! 🙏

채널톡 아이콘